import lejos.nxt.*;

/**
 * Class AroundIsland contains a main method to be run on the BaseRobot controlled by an NXT.
 * When transfered and running it waits for the ENTER button to be pressed. Then it activates the
 * method go that makes the BaseRobot drive around the Komodo Island. The trip around the island
 * ends at the second step of the island staircase and the BaseBot stops.
 */
class AroundIsland
{
    // Threshold values for wall light sensor
    int white  = 58;
    int corner = 50; 
    BaseRobot baseRobot = new BaseRobot(white, corner);
    
    /**
     * Method go that does the work 
     */
    public void go()
    {        
        baseRobot.forwardTowardsWall();
        baseRobot.forwardUntilCorner();
        baseRobot.aroundCorner();
        baseRobot.forwardTowardsWall();
        baseRobot.forwardUntilCorner();
        baseRobot.aroundCorner();
        baseRobot.forwardTowardsWall();
        baseRobot.forwardUntilCorner();
        Sound.beep();
        baseRobot.stop();   
    }
    

    /**
     *  main method for testing outside BlueJ 
     */
    public static void main(String[] args)
    {
        AroundIsland around = new AroundIsland();
        System.out.println("Around Island");
        Button.ENTER.waitForPressAndRelease();
        around.go();
    }
}