import lejos.nxt.*;
import lejos.nxt.comm.*;

/**
 * Class Regular contains a main method to be run on the WROstarterBot controlled by an NXT.
 * When transfered and running it waits for the ENTER button to be pressed. Then it activates the
 * method go that makes the WROstarterBot drive around the Komodo Island collecting eggs (red balls).
 * When the balls have been collected it drives into the base area and stops at a position
 * that depends on the number of eggs colleted.
 */
class Regular
{
    // Threshold values for lightsensors
    int white  = 53;
    int corner = 50;
    int red    = 50;
    WROstarterBot starterBot = new WROstarterBot(white, corner, red);
    
    /**
     * Method that does the work 
     */
    public void go()
    {        
        starterBot.forwardTowardsWall();
        starterBot.sampleEggs();
        starterBot.aroundCorner();
        starterBot.forwardTowardsWall();
        starterBot.forwardUntilCorner();
        starterBot.aroundCorner();
        starterBot.forwardTowardsWall();
        starterBot.sampleEggs();
        starterBot.driveIntoBase();   
    }
    

    /**
     *  main method for testing outside BlueJ 
     */
    public static void main(String[] args)
    {
        Regular regular = new Regular();
        System.out.println("Regular");
        Button.ENTER.waitForPressAndRelease();
        RConsole.open();
        regular.go();
        RConsole.close();
    }
}