import lejos.nxt.*;
import lejos.util.TextMenu;

/**
 * 
 * The class View contains a main method to be run on the NXT. It shows the
 * light value read from a lightsensor connected to one of the four ports of the
 * NXT. The main method lets you choose a port before showing the light values. Press
 * ESCAPE to stop the main method.
 * 
 */
public class View
{

    /**
     *  main method 
     */
    public static void main(String[] args)
    {
        String ports[] = {"Port 1", "Port 2", "Port 3", "Port 4"}; 
        LCD.drawString("Choose sensor", 0, 0);
        LCD.drawString("Press ENTER", 0,1);
        TextMenu portMenu = new TextMenu(ports, 4, "Sensor port");
        int portNo = portMenu.select();
        LightSensor light = new LightSensor(SensorPort.getInstance(portNo));
        LCD.clear();        
        LCD.drawString("Light value: ", 0,1);
        while( ! Button.ESCAPE.isDown() ) 
        {
            LCD.drawInt(light.readValue(),3,13,1);
        }    
        Sound.beep();
    }
    
}       