import lejos.nxt.*;
import lejos.robotics.*;

/**
 * Class WROstarterBot contains methods that can be used by another program to control the 
 * WROstarterBot so it drives around the Komodo Island and collect eggs (read balls). 
 */
public class WROstarterBot extends BaseRobot
{
    LightSensor lightEgg = new LightSensor(SensorPort.S3);
    int red;
    
    RegulatedMotor armMotor = Motor.A;
    int armSpeed = 180; // degree/sec
    
    int eggs;
    
    /**
     * Constructor for objects of class WROstarterBot
     */
    public WROstarterBot(int white, int corner, int red)
    {
        super(white, corner);
        this.red = red;
        eggs = 0;
        armMotor.setSpeed(armSpeed);
    }

    /**
     * Method that make the WRO Starter Bot drive along the white wall
     * until the corner of the island. While driving the light sensor that points towards
     * the eggs is monitored to recognize red eggs and collect them by means of the arm.
     * 
     */
    public void sampleEggs()
    {
        robot.steer(10);
        while ( lightWall.readValue() > corner )
        {
            if ( lightEgg.readValue() > red )
            {
                robot.travel(5); // go forward 5 cm
                armMotor.rotate(360); // rotate arm one revolution (360 degree)
                eggs = eggs + 1;
                robot.steer(10); // go forward a little to the left
            }
        }
    }
    
     /**
     * Method that make the robot drive into a position in the base
     * depending on the number of eggs collected. 
     */
    public void driveIntoBase()
    {  
        if ( eggs == 2 )
            robot.travel(25); // go forward 25 cm
        else
        if ( eggs == 3 )
            robot.travel(40); 
        else
        if ( eggs == 4 )
            robot.travel(55);         
    }
}
